#pragma once

#include "cgp/cgp.hpp"

using namespace cgp;

struct projectile {
	vec3 v;
	vec3 pos;
	vec3 color;
	float size;
	bool change_animation = true;
	bool is_active = true;

	//projectile types, in global so projectiles also can access it
	enum class projectile_type { fire, ice, electric, rock, water };
	//for ease of use
	std::vector<projectile_type> el_types = { projectile_type::fire, projectile_type::ice, projectile_type::rock, projectile_type::electric, projectile_type::water };
	projectile_type elemental_type;

	void simulateParabolic(float dt);
	void simulateStraightLine(float dt);
};
